pydo.billing_history.list()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.billing_history.list()
Returns JSONRaises HttpResponseError

Description

To retrieve a list of all billing history entries, send a GET request to /v2/customers/my/billing_history.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

balance = client.billing_history.list()

Response Example

Show Response Example
{
  "billing_history": [
    {
      "description": "Invoice for May 2018",
      "amount": "12.34",
      "invoice_id": "123",
      "invoice_uuid": "example-uuid",
      "date": "2018-06-01T08:44:38Z",
      "type": "Invoice"
    },
    {
      "description": "Payment (MC 2018)",
      "amount": "-12.34",
      "date": "2018-06-02T08:44:38Z",
      "type": "Payment"
    }
  ],
  "links": {
    "pages": {
      "next": "https://api.digitalocean.com/v2/customers/my/billing_history?page=2&per_page=2",
      "last": "https://api.digitalocean.com/v2/customers/my/billing_history?page=3&per_page=2"
    }
  },
  "meta": {
    "total": 5
  }
}

More Information

See /v2/customers/my/billing_history in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.